Package it.ernytech.tdlib

## Class TdApi.Animation

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Animation

Enclosing class:
  TdApi

    public static class TdApi.Animation
    extends TdApi.Object

Describes an animation file. The animation must be encoded in GIF or MPEG4 format.

### Field Summary

Fields
`TdApi.File` `animation` File containing the animation.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `duration` Duration of the animation, in seconds; as defined by the sender.
`java.lang.String` `fileName` Original name of the file; as defined by the sender.
`int` `height` Height of the animation.
`java.lang.String` `mimeType` MIME type of the file, usually "image/gif" or "video/mp4".
`TdApi.PhotoSize` `thumbnail` Animation thumbnail; may be null.
`int` `width` Width of the animation.

### Constructor Summary

Constructors
`Animation()` Default constructor.
`Animation​(int duration, int width, int height, java.lang.String fileName, java.lang.String mimeType, TdApi.PhotoSize thumbnail, TdApi.File animation)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### duration

    public int duration

Duration of the animation, in seconds; as defined by the sender.

#### width

    public int width

Width of the animation.

#### height

    public int height

Height of the animation.

#### fileName

    public java.lang.String fileName

Original name of the file; as defined by the sender.

#### mimeType

    public java.lang.String mimeType

MIME type of the file, usually "image/gif" or "video/mp4".

#### thumbnail

    public TdApi.PhotoSize thumbnail

Animation thumbnail; may be null.

#### animation

    public TdApi.File animation

File containing the animation.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Animation

    public Animation()

Default constructor.

#### Animation

    public Animation​(int duration,
                     int width,
                     int height,
                     java.lang.String fileName,
                     java.lang.String mimeType,
                     TdApi.PhotoSize thumbnail,
                     TdApi.File animation)

Constructor for initialization of all fields.

Parameters:
  `duration` - Duration of the animation, in seconds; as defined by the sender.
  `width` - Width of the animation.
  `height` - Height of the animation.
  `fileName` - Original name of the file; as defined by the sender.
  `mimeType` - MIME type of the file, usually "image/gif" or "video/mp4".
  `thumbnail` - Animation thumbnail; may be null.
  `animation` - File containing the animation.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR